declare const __VLS_export: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    pagina: {
        type: NumberConstructor;
        required: true;
    };
    totalPaginas: {
        type: NumberConstructor;
        required: true;
    };
    maximoBotoes: {
        type: NumberConstructor;
        required: false;
    };
}>, {
    botoes: import("vue").ComputedRef<{
        label: string;
        pagina?: number;
        ativo?: boolean;
        ehEllipsis?: boolean;
    }[]>;
    irParaPagina: (pagina: number | undefined) => void;
    anteriorDesabilitado: import("vue").ComputedRef<boolean>;
    proximaDesabilitada: import("vue").ComputedRef<boolean>;
    paginaAtual: import("vue").ComputedRef<number>;
    totalPaginasExibidas: import("vue").ComputedRef<number>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    alterar(pagina: number): boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    pagina: {
        type: NumberConstructor;
        required: true;
    };
    totalPaginas: {
        type: NumberConstructor;
        required: true;
    };
    maximoBotoes: {
        type: NumberConstructor;
        required: false;
    };
}>> & Readonly<{
    onAlterar?: ((pagina: number) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
